MemoryMapArrayTest Class Reference
Inheritance diagram for MemoryMapArrayTest:
[legend]
Collaboration diagram for MemoryMapArrayTest:
[legend]

## Public Member Functions

| MemoryMapArrayTest (const char *title)
void | testBool ()
void | test2Bit ()
void | test4Bit ()
void | test32Bit ()
void | test ()
Public Member Functions inherited from UnitTest
| UnitTest (const char *title)
void | test ()
int | getPassCount ()
int | getFailureCount ()
const std::string | getTitle () const
| UnitTest (const char *title)
void | test ()
int | getPassCount ()
int | getFailureCount ()
const std::string | getTitle () const

## Additional Inherited Members

Protected Attributes inherited from UnitTest
std::string | m_title
int | m_failures
int | m_testNum

## Detailed Description

Definition at line 29 of file MemoryMapArrayTest.cpp.

The documentation for this class was generated from the following file:

- general/test/memoryMapArrayTest/MemoryMapArrayTest.cpp